--- title: "REST API call to assign a stakeholder" slug: "rest-api-call-to-assign-a-stakeholder" tags: ["Product Usage", "DLP 11.12.x"] updated: 2026-09-09T08:05:32Z published: 2026-09-09T08:05:32Z canonical: "docs.trellix.com/rest-api-call-to-assign-a-stakeholder" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # REST API call to assign a stakeholder Using this API call, you can assign a user as a stakeholder to an incident. ### PUT request URL `https://<epo_server_name:port>/rest/dlp/incidents/stakeholders/add/{incidentId}?stakeholderId=7&stakeholderType=0&incidentNature=1&interest=InsertInterest` Where - `epo_server_name:port` is the server IP address and port number. - `{incidentId}` unique identifier of an incident. - `stakeholderId = {n}` specifies the stakeholder ID. - `stakeholderType={n}` based on the value of n, stakeholder type can be: - 0 = ePO users - 1 = Non-ePO users - `incidentNature={n}` n can be 1, 2, or 3 for incidents of different data vectors (incident nature). - `interest` specifies the reason for adding a user as a stakeholder to an incident. ### Request Parameters | Parameter name | Description | Required | Values | | --- | --- | --- | --- | | **Authorization** | User credentials for ePO - On-prem. | Required | | | **{incidentId}** | Unique identifier of an incident. | Required | Number | | **stakeholderId = {n}** | Unique ID of the user to be added as stakeholder. | | | | **stakeholderType={n}** | Based on the value of n, stakeholders can be: - 0 = ePO users - 1 = Non-ePO users | Required | Number | | **incidentNature={n}** | Incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident nature. Based on the data vectors, {n} can be: - 1 = Retrieve incident details generated for data-in-use/motion - 2 = Reserved to retrieve data-at-rest - Endpoint Discovery incidents and can be used when support for Endpoint Discovery custom attributes is added into the product - 3 = Retrieve incident details generated for data-at-rest - Network | Required | Number | | **interest** | Reason for adding a user as a stakeholder to an incident. | Optional | String | In these sample requests, incident 42 generated for data-in-use/motion is assigned a stakeholder with ID 7, who is an ePO user. **Sample PUT request URL** `https://172.27.108.53:8443/rest/dlp/incidents/stakeholders/add/42?stakeholderId=7&stakeholderType=0&incidentNature=1&interest=InsertInterest` **Sample cURL command** `curl -k -v -X PUT 'https://172.27.108.53:8443/rest/dlp/incidents/stakeholders/add/42?stakeholderId=7&stakeholderType=0&incidentNature=1&interest=InsertInterest' -u '<user>:<password>'` ### Response parameters The response returns a message about the assignment of a user as a stakeholder. | Element | Description | Data type | | --- | --- | --- | | Message | Shows whether a user is added successfully or not as a stakeholder. | String | ### Sample response ``` Sucess: Added stakeholder ``` ### Status and error codes List of HTTP status codes returned for the query. | Code | Description | | --- | --- | | **200 OK** | Returns a response stating that a user is added as a stakeholder successfully. | | **400 Bad Request** | Returns a bad request if: - incidentId is missing. - incidentId has a non-numeric value. - stakeholderId is missing. - stakeholderId has a non-numeric value. - stakeholderType is missing. - stakeholderType has a non-numeric value. - stakeholderType is not either 0 or 1. - incidentNature is missing. - incidentNature has a non-numeric value. - incidentNature is not either 1 or 3. - User with stakeholderId doesn't exist for the given stakeholderType. | | **404 Not Found** | Incorrect ePO - On-prem URL. | | **500 Internal Server Error** | An error on the server side that failed the request. See the ePO - On-prem `orion.log` file for more details about the error. |